using IceCreamShopContracts.BindingModels;
using IceCreamShopContracts.SearchModels;
using IceCreamShopContracts.ViewModels;

namespace IceCreamShopContracts.BusinessLogicsContracts
{
    public interface IOrderLogic
    {
        List<OrderViewModel>? ReadList(OrderSearchModel? model);

        bool CreateOrder(OrderBindingModel model);

        bool TakeOrderInWork(OrderBindingModel model);

        bool FinishOrder(OrderBindingModel model);

        bool DeliveryOrder(OrderBindingModel model);
    }
}